## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/flows/{flowId}/intents/train

### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "localeId": "<string>"\n}'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train"

payload = { "localeId": "<string>" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({localeId: '<string>'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'localeId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train"

payload := strings.NewReader("{\n  \"localeId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train")
  .header("X-API-Key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"localeId\": \"<string>\"\n}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/train")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"localeId\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
```

### Response Codes

- **202**: Success (The Intents were successfully queued for training.)
- **400**: Bad Request (Validation failed. Missing payload.)
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

### Example Response

```json
{
  "_id": "<string>",
  "status": "queued",
  "type": "trainIntents",
  "parameters": {},
  "lastChangedAt": 1594243850,
  "lastCreatedAt": 1594243850,
  "currentStep": 0,
  "totalStep": 100
}
```

### Authorizations

#### Headers
- **X-API-Key**: string, header, required

Supply the API Key in the HTTP-Header

### Headers

- **Accept**: enum<string>

The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

#### Path Parameters
- **flowId**: string, required

The unique identifier for the Flow. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`.

#### Query Parameters
- **filter**: string

Filter records by specific field e.g. name.

- **limit**: integer

The maximum number of items to return. The default value is `25`, and the maximum permitted value is `100`.

- **skip**: integer

The number of items to skip before returning the results. The default value is `0`.

- **sort**: string

The order in which results are returned. Set a sorting rule in the format `field:direction`, where direction can be `asc` or `desc`. Minimum string length: `1`.

- **next**: string

The cursor that points to the next page of results. Use the `nextCursor` value returned in a previous response.

- **previous**: string

The cursor that points to the previous page of results. Use the `previousCursor` value returned in a previous response.

#### Body

- **localeId**: string, required string length: `24`, Pattern: `^[a-z0-9]{24}$`
- **mode**: enum<string>
  - Available options: `full`, `quick`
